:gn
    %error% 请确保rec，系统都是官方的，建议在官方rec里刷一遍官方包再上锁，或者线刷官方包后上锁。否则一切后果自负！！！
    pause
    set option=
    echo - 1.使用fastboot flashing lock命令
    echo - 2使用fastboot oem lock命令
    echo.
    echo.
    set /p option=%t2%
    busybox egrep "^:meum%option%$" "%~f0" && goto meum%option% || ( cls & echo. & %error% 输入错误请重新输入 & goto gn )


:meum1
    fastboot flashing lock
    %fcq%
    abort


:meum2
    fastboot oem lock
    %fcq%
    abort
